<form [formGroup]="parentForm" *ngIf="parentForm">
  <label *ngIf="label" for="email">Email adresa</label>
  <div
    class="input-group"
    [ngClass]="{
      'border border-warning': parentForm.get('email').invalid &&
      (parentForm.get('email').dirty || parentForm.get('email').touched)
    }"
  >
    <div class="input-group-prepend">
      <span class="input-group-text">
        <fa-icon [fixedWidth]="true" class="text-primary" [icon]="faEnvelope"></fa-icon>
      </span>
    </div>
    <input
      formControlName="email"
      id="email"
      type="text"
      class="form-control"
      placeholder="Unesi email adresu"
      aria-label="Email"
    >
  </div>
  <ng-container *ngIf="parentForm.get('email').errors && (parentForm.get('email').dirty || parentForm.get('email').touched)">
    <small *ngIf="parentForm.get('email').hasError('required')" class="text-warning">
      Email adresa je obavezna
    </small>
    <small *ngIf="parentForm.get('email').hasError('email')" class="text-warning">
      Email adresa nije ispravna
    </small>
  </ng-container>

</form>
